package com.mosty.qwzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.qwzx.TbQwQxjEditDto;
import com.mosty.base.model.entity.qwzx.TbQwQxj;
import com.mosty.base.model.query.qwzx.TbQwQxjMyQuery;
import com.mosty.base.model.query.qwzx.TbQwQxjQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author zengbo
 * @since 2022-06-27
 */
public interface TbQwQxjService {

    @ApiOperation("新增请休假")
    int addQxj(TbQwQxj qxj);

    @ApiOperation("查询请休假")
    IPage<TbQwQxj> getQxj(TbQwQxjQuery qxj, IPage<TbQwQxj> page);

    @ApiOperation("编辑请休假")
    int editQxj(TbQwQxjEditDto qxj);

    @ApiOperation("删除请休假")
    boolean deleteBatch(List<String> ids);

    @ApiOperation("id删除")
    boolean deleteById(String id);

    @ApiOperation("根据ID查询")
    TbQwQxj selectById(String id);

    @ApiOperation("APP查询我的请休假记录")
    IPage<TbQwQxj> getMyQxjList(TbQwQxjMyQuery dto);
}
